<?php

class VerticalTab extends FormField
{
	protected $fields = array();
	public $label;
	
	private static $instance_count = 0;
	
	public function __construct($label, $fields = array())
	{

		$this->setLabel($label);
		if(is_array($fields))
			foreach($fields as $field) $this->addField($field);			
	}
	
	public function addField(FormField $field)
	{
		$this->fields[] = $field;
	}
	
	public function FieldHolder()
	{
		self::$instance_count++;
		$ret = "<h3 class='toggle' id='tab".self::$instance_count."_button'><a href='javascript:void(0)'>{$this->getLabel()}</a></h3>";
		$ret .= "<div id='tab".self::$instance_count."_content'>";
		foreach($this->getFields() as $field) {
			$ret .= $field->FieldHolder();
		}
		$ret .= "</div>";

		return $ret;
	}
	
	private function getFields()
	{
		return $this->fields;
	}
	
	private function getLabel()
	{
		return $this->label;
	}
	
	private function setLabel($label)
	{
		$this->label = $label;
	}
}


?>